Bug 238916 - net-mgmt/prometheus2: Switch to USES=go:modules, fix build with go1.13beta1
Summary: net-mgmt/prometheus2: Switch to USES=go:modules, fix build with go1.13beta1
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-07-01 13:04 UTC by Dmitri Goutnik
Modified: 2019-07-09 16:34 UTC (History)
1 user (show)

See Also:
dor.bsd: maintainer-feedback+


Attachments
patch file (1.05 KB, patch)
2019-07-01 13:04 UTC, Dmitri Goutnik
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-07-01 13:04:03 UTC
Created attachment 205457 [details]
patch file

===>  Building for prometheus-2.10.0
go: contrib.go.opencensus.io/exporter/ocagent@v0.4.12: Get https://proxy.golang.org/contrib.go.opencensus.io/exporter/ocagent/@v/v0.4.12.mod: dial tcp: lookup proxy.golang.org on 1.0.0.1:53: write udp 127.0.0.1:13036->1.0.0.1:53
: write: permission denied
*** Error code 1

- Switch to USES=go:modules, this also fixes the build with go1.13beta1
- Remove unneeded targets

QA:
  poudriere testport: OK (120a-go1.12.6, 120a-go1.13beta1)
Comment 1 David O'Rourke 2019-07-01 14:49:52 UTC
Looks good, thanks.
Comment 2 David O'Rourke 2019-07-09 16:31:09 UTC
I've included these changes in the patch at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239067, which also upgrades Prometheus to 2.11.0 as well as a few other changes.